<div class="date-picker-wrapper">
  <div class="picked-date" (click)="toggleDatePicker()">
    {{ fromDate.day }} {{ month[fromDate.month - 1] }} {{ fromDate.year }} -
    {{ toDate.day }} {{ month[toDate.month] }} {{ toDate.year }}
    
  </div>
  <div class="date-picker" [ngClass]="{ open: isOpen }">
    <!-- <app-layout> -->
    <ngb-datepicker
      #dp
      (select)="onDateSelection($event)"
      [displayMonths]="2"
      [dayTemplate]="t"
      [footerTemplate]="f"
      outsideDays="visible"
    >
    </ngb-datepicker>
    <ng-template #t let-date let-focused="focused">
      <span
        class="custom-day"
        [class.focused]="focused"
        [class.range]="isRange(date)"
        [class.faded]="isHovered(date) || isInside(date)"
        (mouseenter)="hoveredDate = date"
        (mouseleave)="hoveredDate = null"
      >
        {{ date.day }}
      </span>
    </ng-template>
    <ng-template #f>
      <div class="buttons-wrapper">
        <app-button (click)="toggleDatePicker()" [color]="'white'" style="margin-right: 10px">Cancel</app-button>
        <app-button (click)="toggleDatePicker()">Apply</app-button>
      </div>
    </ng-template>
    <!-- </app-layout
    > -->
  </div>
</div>
